Subject: Hayhurst's Scallopwing

From: Dick Walton <[email-masked]>
Date: Tue, 29 Aug 1995 14:50:44 -0400

I am looking for someone who could supply several adult Hayhurst's
Scallopwings (Staphylus hayhurstii). I need live individuals for a video
project and would be happy to cover shipping charges and other costs.

Please contact me ASAP if you think you can fill the bill or know someone who
can.

Many Thanks - Dick Walton

e-mail: [email-masked]